# $Revision: 1.21 $, $Date: 2008/07/27 22:31:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	UnixCrypt
Summary:	Crypt::UnixCrypt - Perl-only implementation of the "crypt" function
Summary(pl.UTF-8):	Crypt::UnixCrypt - czysto perlowa implementacja funkcji "crypt"
Name:		perl-Crypt-UnixCrypt
Version:	1.0
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ff007b7fdda2aa626acaca216750c422
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::UnixCrypt module is for all those poor souls whose perl port
answers to the use of "crypt()" with the message `The crypt() function
is unimplemented due to excessive paranoia.'.

%description -l pl.UTF-8
Moduł Crypt::UnixCrypt jest przeznaczony dla tych biednych dusz,
którym używana implementacja Perla na próbę użycia "crypt()" odpowiada
komunikatem: `The crypt() function is unimplemented due to excessive
paranoia.' [Funkcja crypt() nie została zaimplementowana z powodu
nadmiernej paranoi.]

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Crypt/UnixCrypt.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-UnixCrypt.spec,v $
Revision 1.21  2008/07/27 22:31:27  arekm
- release 5

Revision 1.20  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:14  paladine
- formatting

Revision 1.17  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.16  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 15:21:12  ankry
- tests added

Revision 1.14  2004/04/19 20:48:52  ankry
- better summary and description, license fix

Revision 1.13  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:46:57  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:30:09  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/08/18 11:58:30  blues
- release 2 - new doc, license fix; STBR

Revision 1.4  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/04 09:28:33  qboosh
- fixed - now it builds proper package :)

Revision 1.2  2002/04/03 16:32:54  kloczek
- minor changes.

Revision 1.1  2002/04/03 14:18:56  marcus
- initial PLD spec, need fixing
